# MatMultConstrained

The inner multiplication routine for a constrained matrix P^T A P.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMultConstrained(Mat mat,Vec x,Vec y)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMult(A,y,y).

### Keywords

matrix, multiply, matrix-vector product, constraint

### See Also

MatMult(), MatMultTrans(), MatMultAdd(), MatMultTransAdd()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages